|  | Home · All Classes · All Functions · Overviews

# Q3IconDragItem Class Reference
[Qt3Support module]

The Q3IconDragItem class encapsulates a drag item. More...

     #include <Q3IconDragItem>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

- List of all members, including inherited members

## Public Functions

| Q3IconDragItem ()
virtual | ~Q3IconDragItem ()
virtual QByteArray | data () const
virtual void | setData ( const QByteArray & d )

## Detailed Description

The Q3IconDragItem class encapsulates a drag item.

The Q3IconDrag class uses a list of Q3IconDragItems to support drag and drop operations.

In practice a Q3IconDragItem object (or an object of a class derived from Q3IconDragItem) is created for each icon view item which is dragged. Each of these Q3IconDragItems is stored in a Q3IconDrag object.

See Q3IconView::dragObject() for more information.

## Member Function Documentation

### Q3IconDragItem::Q3IconDragItem ()

Constructs a Q3IconDragItem with no data.

### Q3IconDragItem::~Q3IconDragItem () `[virtual]`

Destructor.

### QByteArray Q3IconDragItem::data () const `[virtual]`

Returns the data contained in the Q3IconDragItem.

See also setData().

### void Q3IconDragItem::setData ( const QByteArray & d ) `[virtual]`

Sets the data for the Q3IconDragItem to the data stored in the QByteArray d.

See also data().